net.corda.core.node.services

## Class StateMachineTransactionMapping

- net.corda.core.node.services.StateMachineTransactionMapping

-     public class StateMachineTransactionMapping

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateMachineTransactionMapping(StateMachineRunId stateMachineRunId, SecureHash transactionId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateMachineRunId` | `component1()`
    `SecureHash` | `component2()`
    `StateMachineTransactionMapping` | `copy(StateMachineRunId stateMachineRunId, SecureHash transactionId)`
    `boolean` | `equals(java.lang.Object p)`
    `StateMachineRunId` | `getStateMachineRunId()`
    `SecureHash` | `getTransactionId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### StateMachineTransactionMapping

          public StateMachineTransactionMapping(StateMachineRunId stateMachineRunId,
                                                SecureHash transactionId)

  - ### Method Detail

    - #### getStateMachineRunId

          public StateMachineRunId getStateMachineRunId()

    - #### getTransactionId

          public SecureHash getTransactionId()

    - #### component1

          public StateMachineRunId component1()

    - #### component2

          public SecureHash component2()

    - #### copy

          public StateMachineTransactionMapping copy(StateMachineRunId stateMachineRunId,
                                                     SecureHash transactionId)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)